List the items of a price migration run
Optionally filtered by status. People and keys with catalog:read; agents 403 agent_not_available.
GET
/price_migrations/{run}/itemsOptionally filtered by status. People and keys with catalog:read; agents 403 agent_not_available.
AuthorizationBearer <token>
In: header
Path Parameters
run*string
Format
uuidQuery Parameters
cursor?string
Opaque signed cursor. Return it unchanged; valid for 24 hours.
Length
1 <= length <= 8192limit?integer
Range
1 <= value <= 100Default
50status?string
Value in
- "eligible"
- "excluded"
- "notice_pending"
- "notice_delivered"
- "scheduling"
- "scheduled"
- "releasing"
- "withdrawing"
- "applied"
- "withdrawn"
- "failed"
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/price_migrations/497f6eca-6276-4993-bfeb-53cbbbba6f08/items"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "object": "price_migration_item", "run": "198b72a7-4bca-47fe-b1be-f5a2e4bcad31", "subscription": "string", "subscription_item": "string", "old_price": "e012b4f8-2af6-4eea-9aa9-4dddefdf65de", "new_price": "942591e7-a821-417a-8bef-7bf198827007", "quantity": 1, "status": "eligible", "exclusion_reason": "trialing", "withdrawal_reason": "merchant_revert", "failure_code": "string", "retryable": true, "effective_at": "string", "generation": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "pagination": { "next_cursor": "string", "has_more": true, "as_of": "2019-08-24T14:15:22Z" }, "request_id": "266ea41d-adf5-480b-af50-15b940c2b846", "source": "primary"}